Ext.namespace('Zarafa.plugins.mdm.dialogs');

/**
 * @class Zarafa.plugins.mdm.dialogs.MDMDeviceDetailsContentPanel
 * @extends Zarafa.core.ui.ContentPanel
 * @xtype mdmplugin.devicedetailscontentpanel
 * 
 * The content panel which is use to show device detail panel.
 */
Zarafa.plugins.mdm.dialogs.MDMDeviceDetailsContentPanel = Ext.extend(Zarafa.core.ui.ContentPanel, {

    /**
     * @constructor
     * @param config Configuration structure
     */
    constructor: function (config) {
        config = config || {};

        Ext.applyIf(config, {

            xtype: 'mdmplugin.devicedetailscontentpanel',
            layout    : 'fit',
            modal     : true,
            width     : 435,
            minWidth  : 435,
            autoHeight: true,
            title     : dgettext('plugin_mdm', config.record.get('devicetype')),
            items     : [{
                xtype: 'mdmplugin.devicedetailspanel',
                record : config.record
            }]
        });

        Zarafa.plugins.mdm.dialogs.MDMDeviceDetailsContentPanel.superclass.constructor.call(this, config);
    }
});

Ext.reg('mdmplugin.devicedetailscontentpanel', Zarafa.plugins.mdm.dialogs.MDMDeviceDetailsContentPanel);